curl --request GET \
--url https://api.twine.se/v1/org/system-integrations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"api_client_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"api_endpoint_url": "https://your-company.api.example.com/v1",
"domain_mappings": [
{
"enabled": true,
"from_domain": "employee",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"source_system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"target_system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"to_domain": "employee",
"conditions": [
{
"apply_on_actions": [
"create"
],
"condition": {},
"domain": "employee",
"enabled": true,
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"description": "<string>"
}
],
"sync_triggers": [
{
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"cron_expression": "0 0 * * *",
"domain_configuration": {
"domain": "time_report",
"from_date": "2023-12-25",
"from_date_engine": {},
"to_date": "2023-12-25",
"to_date_engine": {}
},
"last_sync_ended_at": "2023-01-01T00:00:00Z",
"last_sync_started_at": "2023-01-01T00:00:00Z",
"next_sync_at": "2023-01-01T00:00:00Z",
"parent_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b"
}
]
}
],
"external_org_id": "<string>",
"inserted_at": "2021-06-01T12:00:00Z",
"property_mappings": [
{
"common_domain": "employee",
"common_path": [
"salary_amount"
],
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_domain": "employee",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_path": [
"salaries",
"[]",
"amount"
],
"converters": [
{
"converter": "string_to_integer",
"pod_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b"
}
],
"enabled": true,
"engine": {
"domain": "employee",
"engine": {},
"version": "2",
"description": "This engine maps properties from one format to another."
},
"reference_domain": "employee",
"version": 2
}
],
"system": {
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"kind": "other",
"name": "Evity HR",
"slug": "twine",
"logo_url": "https://example.com/logos/system-logo.png"
},
"system_custom": {
"slug": "agda_file"
},
"updated_at": "2021-06-01T12:00:00Z"
}
]
}Fetches all available system integrations accessible by the API role
curl --request GET \
--url https://api.twine.se/v1/org/system-integrations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"api_client_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"api_endpoint_url": "https://your-company.api.example.com/v1",
"domain_mappings": [
{
"enabled": true,
"from_domain": "employee",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"source_system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"target_system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"to_domain": "employee",
"conditions": [
{
"apply_on_actions": [
"create"
],
"condition": {},
"domain": "employee",
"enabled": true,
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"description": "<string>"
}
],
"sync_triggers": [
{
"domain_mapping_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"cron_expression": "0 0 * * *",
"domain_configuration": {
"domain": "time_report",
"from_date": "2023-12-25",
"from_date_engine": {},
"to_date": "2023-12-25",
"to_date_engine": {}
},
"last_sync_ended_at": "2023-01-01T00:00:00Z",
"last_sync_started_at": "2023-01-01T00:00:00Z",
"next_sync_at": "2023-01-01T00:00:00Z",
"parent_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b"
}
]
}
],
"external_org_id": "<string>",
"inserted_at": "2021-06-01T12:00:00Z",
"property_mappings": [
{
"common_domain": "employee",
"common_path": [
"salary_amount"
],
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_domain": "employee",
"system_integration_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"system_path": [
"salaries",
"[]",
"amount"
],
"converters": [
{
"converter": "string_to_integer",
"pod_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b"
}
],
"enabled": true,
"engine": {
"domain": "employee",
"engine": {},
"version": "2",
"description": "This engine maps properties from one format to another."
},
"reference_domain": "employee",
"version": 2
}
],
"system": {
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"kind": "other",
"name": "Evity HR",
"slug": "twine",
"logo_url": "https://example.com/logos/system-logo.png"
},
"system_custom": {
"slug": "agda_file"
},
"updated_at": "2021-06-01T12:00:00Z"
}
]
}Bearer token for authentication
domain_mappings, sync_triggers, property_mappings SystemIntegration list response
A response object with a list of system integrations
Show child attributes